AnsweredAssumed Answered

How to reverse Y-direction of coordinate system?

Question asked by Abhishek Lad on Oct 15, 2019
Latest reply on Oct 15, 2019 by Simon Turner

Hieee all,

I am having a solidwork part document opened which has coordinate system (refer attached picture). I wan to reverse Y-direction of selected coordinate system.

I am using following code but its not working can anybody help me?

Code:-

Dim Coordinate_Sys_name As string="Coord1"

boolstatus = oDoc.Extension.SelectByID2(Coordinate_Sys_name, "COORDSYS", 0, 0, 0, False, 0, Nothing, 0)
swFeat = oDoc.SelectionManager.GetSelectedObject6(1, -1)
swCoordSys = swFeat.GetDefinition
swCoordSys.YFlipped = True

oDoc.EditRebuild3()

 

Thank You..

Outcomes